davix_uri.hpp File Reference

URI utilities functions for davix. More...

`#include <string>`
`#include <utils/davix_types.hpp>`
`#include <status/davixstatusrequest.hpp>`

## Data Structures

class | Davix::Uri
| Uri parser. More...

## Functions

bool DAVIX_EXPORT | Davix::uriCheckError (const Uri &uri, DavixError **err)
unsigned int DAVIX_EXPORT | Davix::httpUriGetPort (const Uri &uri)
std::ostream & | Davix::operator<< (std::ostream &stream, const Davix::Uri &_u)

## Detailed Description

URI utilities functions for davix.

Author
  Devresse Adrien

## Function Documentation

## httpUriGetPort()

unsigned int DAVIX_EXPORT Davix::httpUriGetPort | ( | const Uri & | uri | ) |

return associated std port for this request return default http port or default SSL port if not precised

## uriCheckError()

bool DAVIX_EXPORT Davix::uriCheckError | ( | const Uri & | uri,
|  | DavixError ** | err )

check the validity of a Davix::Uri

Parameters

  uri | : davix uri
  err | : Davix Error report object

Returns
  true if the uri is valid, or false and setup err with a string expression